import { Property } from '../core/properties';
import { TextView as TextViewDefinition } from '.';
import { EditableTextBase } from '../editable-text-base';
export declare class TextViewBase extends EditableTextBase implements TextViewDefinition {
    static returnPressEvent: string;
    maxLines: number;
    isWritingToolsActive: boolean;
    enableWritingToolsEvents: boolean;
}
/**
 * (iOS Only) Behavior for Apple Intelligence Writing Tools
 * @since 8.9
 */
export declare enum WritingToolsBehavior {
    Complete = 0,
    Default = 1,
    Limited = 2,
    None = 3
}
export declare const iosWritingToolsBehaviorProperty: Property<TextViewBase, WritingToolsBehavior>;
/**
 * (iOS Only) Allowed input for Apple Intelligence Writing Tools
 * @since 8.9
 */
export declare enum WritingToolsAllowedInput {
    Default = 0,
    List = 1,
    PlainText = 2,
    RichText = 3,
    Table = 4
}
export declare const iosWritingToolsAllowedInputProperty: Property<TextViewBase, WritingToolsAllowedInput[]>;
